;;; init-packages.el --- Package management -*- lexical-binding: t -*-

;;; Commentary:

;; https://www.gnu.org/software/emacs/manual/html_node/emacs/Packages.html
;; https://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/emacs-lisp/package.el

;;; Code:

(require 'package)

(setq package-install-upgrade-built-in t)

(add-to-list 'package-archives '("melpa" . "https://melpa.org/packages/") t)

(package-install 'add-node-modules-path)
(package-install 'flycheck)
(package-install 'format-all)
(package-install 'fzf)
(package-install 'hotfuzz)
(package-install 'magit)
(package-install 'move-text)
(package-install 'org-wild-notifier)

(defalias 'my-list-packages #'list-packages)
(defalias 'my-package-autoremove #'package-autoremove)

(provide 'init-packages)

;;; init-packages.el ends here
